This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1274129 - the ansible will abort if not set 'nums_infra' in inventory host
the ansible will abort if not set 'nums_infra' in inventory host
Status: CLOSED CURRENTRELEASE
Product: OpenShift Container Platform
Classification: Red Hat
Component: Installer (Show other bugs)
3.1.0
Unspecified Unspecified
unspecified Severity medium
: ---
: ---
Assigned To: Andrew Butcher
Ma xiaoqiang
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-10-21 23:20 EDT by Ma xiaoqiang
Modified: 2016-07-03 20:45 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-11-20 10:41:12 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ma xiaoqiang 2015-10-21 23:20:27 EDT
Description of problem:
the ansible will abort if not set 'nums_infra' in inventory host


Version-Release number of selected component (if applicable):
https://github.com/openshift/openshift-ansible.git master

How reproducible:
100%


Steps to Reproduce:
1. install env with 'nums_infra' not in inventory host


Actual results:
TASK: [openshift_router | set_fact _ortr_images="--images='{{ openshift.master.registry_url }}'"] *** 
ok: [10.66.79.161] => {"ansible_facts": {"_ortr_images": "--images='registry.access.redhat.com/openshift3/ose-${component}:${version}'"}}

TASK: [openshift_router | set_fact _ortr_selector="--selector='{{ openshift.master.router_selector }}'"] *** 
fatal: [10.66.79.161] => One or more undefined variables: 'dict object' has no attribute 'router_selector'

FATAL: all hosts have already failed -- aborting



Expected results:
If user doesn't set 'nums_infra' in inventory host, pls do not create router/registry.


Additional info:
Comment 1 Jason DeTiberus 2015-10-22 16:08:21 EDT
https://github.com/openshift/openshift-ansible/pull/721
Comment 2 Naoya Hashimoto 2015-10-22 21:04:13 EDT
I believe that not nums_infra but num_infra should be added in the ansible inventory file.
I am facing the same issue and found it when I checked the below URL.
Comment 3 Ma xiaoqiang 2015-10-22 21:19:48 EDT
yeah, it should be num_infra. thx
Install env successfully when QE doesn't set num_infra in inventory file, and ansible doesn't  create router. Move it to VERIFIED.
Comment 4 Aleksandar Kostadinov 2015-11-13 09:40:18 EST
where are these flags documented.

Note You need to log in before you can comment on or make changes to this bug.